%define upstream_name Dist-Zilla-Plugin-Prereqs-SyncVersions
%define upstream_version 0.001001

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 2

Summary:	Homogenize prerequisites so dependency versions are consistent
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Dist::Zilla::Role::PrereqSource)
BuildRequires:	perl(Module::Build) >= 0.400.700
BuildRequires:	perl(Moose)

BuildArch:	noarch

%description
This module exists to pose mostly as a workaround for potential bugs in
downstream tool-chains.

Namely, "CPAN.pm" is confused when it sees:

    runtime.requires : Foo >= 5.0
    test.requires    : Foo >= 6.0

It doesn't know what to do.

This is an easy enough problem to solve if you're using "[Prereqs]"
directly, and "[AutoPrereqs]" already does the right thing, but it gets
messier when you're working with plugins that inject their own
prerequisites
<https://github.com/dagolden/Path-Tiny/commit/c620171db96597456a182ea608
8a24d8de5debf6>

So this plugin will homogenize dependencies to be the same version in
all phases which infer the dependency, matching the largest one found,
so the above becomes:

    runtime.requires : Foo >= 6.0
    test.requires    : Foo >= 6.0

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 0.1.1-2.mga4
+ Revision: 545543
- Mageia 4 Mass Rebuild

* Wed Oct 16 2013 sander85 <sander85> 0.1.1-1.mga4
+ Revision: 501371
- imported package perl-Dist-Zilla-Plugin-Prereqs-SyncVersions

